Posts Tagged ‘Java’

Debian 7 (stable) mit defekten Abhängigkeiten in Java-Paketen! [gelöst]

02.02.2015

Problem

Ein apt-get update will Java entfernen:

Die folgenden Pakete werden ENTFERNT:
ant ant-optional ca-certificates-java default-jre default-jre-headless dicomscope icedtea-7-jre-jamvm
icedtea-7-plugin icedtea-netx jitsi libbcmail-java libbcprov-java libbctsp-java libitext-java
openjdk-6-jre openjdk-6-jre-headless openjdk-6-jre-lib openjdk-7-jre openjdk-7-jre-headless pdfsam
project-x projectlibre tzdata-java
Die folgenden NEUEN Pakete werden installiert:
gcj-4.7-base gcj-4.7-jre gcj-4.7-jre-headless gcj-4.7-jre-lib gcj-jre gcj-jre-headless libgcj13
libgcj13-awt
Die folgenden Pakete werden aktualisiert (Upgrade):
tzdata
1 aktualisiert, 8 neu installiert, 23 zu entfernen und 0 nicht aktualisiert.
Es müssen 24,8 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 153 MB Plattenplatz freigegeben.


02.02.15 09:11

Vorerst würde ich auf ein Update verzichten, bis die Abhängigkeiten wieder passen.

Das Problem wird bereits diskutiert:
debian-user
debian-user-german

Es wird u.a. gemeldet:
serious Fehler von openjdk-7-jre-headless (-> 7u75-2.5.4-1~deb7u1)


Nachtrag 02.02.15 10:05

Adam D. Barratt meldet:

„…it should be fixed within the next few hours (it’s fixed in the archive itself, but we need to wait for the regular archive maintenance run to finish and then push the fix out to the mirrors)…“


Nachtrag 02.02.15 12:00

Ich konnte bereits die reparierten Pakete installieren.

Bei solchen Problemen in der stable-Distro lohnt es einfach zu warten, bis die Fehler behoben sind und dann erneut ein apt-get update und apt-get upgrade zu starten. Die Reaktionszeiten sind enorm schnell für ein kostenloses Betriebssystem! Ein wirklich toller Service! :-)


Werbeanzeigen

Debian 7 (stable!) #766601 serious Fehler openjdk-7-jre-headless still depending on libjpeg8?

30.11.2014

Problem

apt-listbugs meldet beim Update von Debian 7 (stable)

serious Fehler von openjdk-7-jre-headless (7u65-2.5.1-5~deb7u1 -> 7u71-2.5.3-2~deb7u1)
#766601 - openjdk-7-jre-headless: still depending on libjpeg8? (Gelöst: openjdk-7/7u71-2.5.3-2)
Zusammenfassung:
openjdk-7-jre-headless(1 Fehler)

Debian Security Advisory
Debian Bug report

Lösung

Bei einer stable-Installation sollten „serious“ Fehler eigentlich nicht mehr auftreten. Ich habe die neue Version dennoch installiert. Diesen Artikel werde ich aktualisieren, wenn ich näheres erfahre.